commit: ca1aaa345654e593925af281bcc999e34e282b3f
Author: Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Fri May 13 13:15:49 2016 +0000
Commit: Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
CommitDate: Fri May 13 13:45:52 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca1aaa34
net-p2p/syncthing: bump to 0.12.24
Package-Manager: portage-2.2.28
net-p2p/syncthing/Manifest | 1 +
net-p2p/syncthing/syncthing-0.12.24.ebuild | 54 ++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/net-p2p/syncthing/Manifest b/net-p2p/syncthing/Manifest
index 6fcea85..656b3dd 100644
--- a/net-p2p/syncthing/Manifest
+++ b/net-p2p/syncthing/Manifest
@@ -1,2 +1,3 @@
DIST syncthing-0.12.22.tar.gz 4047399 SHA256
104402fcd1a2d02344e32cebd9f9d6249494827e87ddd2c7d01ee43148c82d2a SHA512
f6aa390a7fb7a383d584cdb6c1082c0012a9daec3b2c683640fcf625fc9e7baaf0c3d4d46ae1aac5ca2c180e13b6a6529658d128fb03c5c8df1e8e0ccc4ef28a
WHIRLPOOL
eb54d5040a3362872643d9ea57181c8f1efc6d41c93064b00000abca38b7867f171dacdc69aa212f530f797d5ce036db67cf01fa662d920f8ec01af2ea180e2f
DIST syncthing-0.12.23.tar.gz 4469246 SHA256
e683c784fa423b598920b5c8f29ac6427dfe19000975b85a45f0f03fe2f0e3ff SHA512
f61c2fa6a513e2804f249433eddb3ee7e134a0c144902b56e4be90277f7e74dd163921cbc02b8c0ae284401b15f48f200f3bd75b61528789ea323574bde5e911
WHIRLPOOL
bfcac1e2ebf86a6f006254ff740a5b8a093b34fbaf9ff04068ed7b246afc6cc19b6a0438dce43c7acb787a2041a8cca3282317a26372f011eff719815b07d900
+DIST syncthing-0.12.24.tar.gz 4469779 SHA256
9faf913b27feb4c532d1febd6e4fc89e60c0b1cfd9aebef4a42851e220227044 SHA512
684c9f863c0427813c32b63aec8cc4d9a1c575dc4b2fb4b989e35b9e1e2b05222edd9935fdf8331b074f9962d4b03d82e67c008e01bf9ce42c01bf68229d46f3
WHIRLPOOL
79680c01eafae7fd853e39dfc9908f61be33627f86e2cf81c7b69dca8b079fa987ef591f1d6f2222b6b3dacdfd8763788706c226c263d7bf0c8919d923565c9b
diff --git a/net-p2p/syncthing/syncthing-0.12.24.ebuild
b/net-p2p/syncthing/syncthing-0.12.24.ebuild
new file mode 100644
index 0000000..4aef0ac
--- /dev/null
+++ b/net-p2p/syncthing/syncthing-0.12.24.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGO_PN="github.com/syncthing/syncthing"
+EGIT_COMMIT=v${PV}
+
+inherit golang-vcs-snapshot systemd user
+
+DESCRIPTION="Open Source Continuous File Synchronization"
+HOMEPAGE="https://syncthing.net"
+SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~arm"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_compile() {
+ export GOPATH="${S}:$(get_golibdir_gopath)"
+ cd src/${EGO_PN}
+ go run build.go -version "v${PV}" -no-upgrade || die "build failed"
+}
+
+src_test() {
+ cd src/${EGO_PN}
+ go run build.go test || die "test failed"
+}
+
+src_install() {
+ cd src/${EGO_PN}
+ doman man/*.[157]
+ dobin bin/*
+ dodoc README.md AUTHORS CONTRIBUTING.md
+ systemd_dounit
"${S}"/src/${EGO_PN}/etc/linux-systemd/system/${PN}@.service \
+
"${S}"/src/${EGO_PN}/etc/linux-systemd/system/${PN}-resume.service
+ systemd_douserunit
"${S}"/src/${EGO_PN}/etc/linux-systemd/user/${PN}.service
+ newconfd "${FILESDIR}/${PN}.confd" ${PN}
+ newinitd "${FILESDIR}/${PN}.initd" ${PN}
+ keepdir /var/{lib,log}/${PN}
+ fowners ${PN}:${PN} /var/{lib,log}/${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}.logrotate" ${PN}
+}